{
  pkgs,
  config,
  ...
}: {
  programs.kitty = {
    enable = true;
    # font = {
    #   name = "PragmataPro Mono Liga";
    #   size = 12;
    # };
    font = {
      # name = "JetBrainsMono Nerd Font";
      size = 12;
      # package = pkgs.nerd-fonts.jetbrains-mono;
    };
    shellIntegration = {
      enableZshIntegration = true;
    };
    #themeFile = "gruvbox-dark";
    # darwinLaunchOptions = [
    #   "--single-instance"
    # ];
    settings = {
      # background_opacity = "0.9";
      # background_blur = 5;
      hide_window_decorations = "titlebar-only";
    };
    # extraConfig = ''
    #   # vim:ft=kitty
    #
    #   ## name:     Gruber-dark
    #   ## author:   ring0-rootkit
    #   ## license:  MIT
    #   ## upstream: https://github.com/ring0-rootkit/gruber-darker-kitty/blob/main/gruber.conf
    #
    #
    #
    #   # The basic colors
    #   foreground              #e4e4e4
    #   background              #181818
    #   selection_foreground    #181818
    #   selection_background    #F5F5F5
    #
    #   # Cursor colors
    #   cursor                  #FFDD33
    #   cursor_text_color       #000000
    #
    #   # URL underline color when hovering with mouse
    #   url_color               #FF4F58
    #
    #   # Kitty window border colors
    #   active_border_color     #96A6C8
    #   inactive_border_color   #565F73
    #   bell_border_color       #C73C3F
    #
    #   # OS Window titlebar colors
    #   wayland_titlebar_color  #181818
    #   macos_titlebar_color    #181818
    #
    #   # Tab bar colors
    #   active_tab_foreground   #101010
    #   active_tab_background   #F43841
    #   inactive_tab_foreground #E4E4E4
    #   inactive_tab_background #282828
    #   tab_bar_background      #101010
    #
    #   # Colors for marks (marked text in the terminal)
    #   mark1_foreground #181818
    #   mark1_background #96A6C8
    #   mark2_foreground #181818
    #   mark2_background #F43841
    #   mark3_foreground #181818
    #   mark3_background #73D936
    #
    #   # The 16 terminal colors
    #
    #   # black
    #   color0 #101010
    #   color8 #453D41
    #
    #   # red
    #   color1 #F43841
    #   color9 #F43841
    #
    #   # green
    #   color2 #73D936
    #   color10 #73D936
    #
    #   # yellow
    #   color3 #FFDD33
    #   color11 #FFDD33
    #
    #   # blue
    #   color4 #96A6C8
    #   color12 #96A6C8
    #
    #   # magenta
    #   color5 #9E95C7
    #   color13 #9E95C7
    #
    #   # cyan
    #   color6 #95A99F
    #   color14 #95A99F
    #
    #   # white
    #   color7 #E4E4E4
    #   color15 #FFFFFF
    # '';
  };
}
