{
  pkgs,
  config,
  ...
}: {
  home.packages = with pkgs; [
    taskwarrior-tui
  ];

  programs = {
    taskwarrior = {
      enable = true;
      package = pkgs.taskwarrior3;
      dataLocation = "~/taskwarrior";
      config = {
        context.personal.read = "+personal";
        context.personal.write = "+personal";
        context.work.read = "+work";
        context.work.write = "+work";
      };
    };
  };
}
